Subject: Re: [PATCH] RDMA/cxgb4: Add default_llseek to debugfs files.

From: Roland Dreier <[email-masked]>
Date: Wed, 29 Sep 2010 10:19:32 -0700

> @@ -182,6 +182,7 @@ static const struct file_operations qp_debugfs_fops = {
 >  	.open    = qp_open,
 >  	.release = qp_release,
 >  	.read    = debugfs_read,
 > +	.llseek  = default_llseek,
 >  };

I think this could actually be generic_file_llseek (right, Arnd?).

Also could qp_read() and other read methods be simplified by using
simple_read_from_buffer()?  I don't see anything fancy there, seems like
the read methods could become one-liners that way.

 - R.
--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html